Page MenuHomePhabricator

PageContentSaveComplete. Stop collecting
Closed, ResolvedPublic5 Story Points

Description

Per conversation with Dario this event is no longer working as originally intended. The aim was to track all data sources and it is likely that due to the bot filtering applied to eventlogging events when ingesting some editing events are not being tracked (not sure, but seems likely).

Data should be archived on hadoop for future inspection. This ticket is to remove events and archive table.

Event Timeline

Nuria created this task.Sep 29 2017, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2017, 5:44 PM
Nuria claimed this task.Sep 29 2017, 6:08 PM
Nuria updated the task description. (Show Details)
Nuria set the point value for this task to 5.
Nuria added a subscriber: DarTar.

Change 381496 had a related patch set uploaded (by Nuria; owner: Nuria):
[mediawiki/extensions/WikimediaEvents@master] [WIP] Removing logging of PageContentSaveComplete

https://gerrit.wikimedia.org/r/381496

Nuria moved this task from Next Up to In Code Review on the Analytics-Kanban board.Oct 3 2017, 3:00 PM

Change 381496 abandoned by Nuria:
Removing logging of PageContentSaveComplete

Reason:
see: https://gerrit.wikimedia.org/r/#/c/382750/2/WikimediaEventsHooks.php

https://gerrit.wikimedia.org/r/381496

Change 383392 had a related patch set uploaded (by Nuria; owner: Nuria):
[mediawiki/extensions/WikimediaEvents@master] Removing logging of PageContentSaveComplete

https://gerrit.wikimedia.org/r/383392

Change 383392 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Removing logging of PageContentSaveComplete

https://gerrit.wikimedia.org/r/383392

Nuria added a comment.Oct 25 2017, 9:42 PM

Ok, table PageContentSaveComplete_5588433 can be dropped from mySQL, it is now archived in hadoop.

Nuria added a subscriber: elukey.Oct 25 2017, 9:43 PM

Docs updated ping @elukey about dropping table in mysql

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Oct 25 2017, 9:43 PM
Aklapper renamed this task from PageContenSaveComplete. Stop collecting to PageContentSaveComplete. Stop collecting .Oct 26 2017, 10:20 AM

currently blocked by the maintenance for T177405

elukey changed the task status from Open to Stalled.Oct 26 2017, 2:02 PM
elukey triaged this task as Normal priority.
elukey added a project: User-Elukey.
elukey moved this task from Backlog to In Progress on the User-Elukey board.Oct 26 2017, 3:50 PM
elukey moved this task from In Progress to Stalled on the User-Elukey board.Oct 30 2017, 9:36 AM

Sanity check

MariaDB [log]> select count(*) from PageContentSaveComplete_5588433
    -> ;
+-----------+
| count(*)  |
+-----------+
| 212952355 |
+-----------+
1 row in set (45.48 sec)

0: jdbc:hive2://analytics1003.eqiad.wmnet:100> select count(*) from PageContentSaveComplete_5588433;
[..]
212952353

Mentioned in SAL (#wikimedia-operations) [2017-11-02T11:43:39Z] <elukey> drop table log.PageContentSaveComplete_5588433 from db1046,db1047,db1108,dbstore1002, archived on hdfs - T177101

elukey changed the task status from Stalled to Open.Nov 2 2017, 11:47 AM
elukey moved this task from Stalled to Done on the User-Elukey board.Nov 2 2017, 12:49 PM
Nuria closed this task as Resolved.Nov 2 2017, 4:08 PM